Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder
Class SWTBot

    java.lang.Object
      org.eclipse.swtbot.swt.finder.SWTBot

Direct Known Subclasses:
  SWTFormsBot, SWTWorkbenchBot

    public class SWTBot

extends Object

This class contains convenience API to find widgets in SWTBot. Most users would start off as follows:

        SWTBot bot = new SWTBot();

        bot.button("hello world").click();

        // in case you have two edit buttons in two different groups
        // say an edit button in the "Address" section,
        // and another in "Bank Account" section, you can do the following
        // to click on the "Edit" button on the "Bank Account" section.
        // This is the recommended way to use SWTBot, instead of finding widgets based on its index.
        bot.buttonInGroup("Edit", "Bank Account").click();

For finding widgets using custom matchers:

        SWTBot bot = new SWTBot();
        //
        // find a button within the currently active shell:
        //
        SWTBotButton button = new SWTBotButton((Button) bot.widget(aMatcher)); // or
        SWTBotButton button = new SWTBotButton((Button) bot.widget(aMatcher, 3)); // for the 4th widget
        //
        // to find a button within a particular parent composite:
        //
        SWTBotButton button = new SWTBotButton((Button) bot.widget(aMatcher, parentComposite)); //or
        SWTBotButton button = new SWTBotButton((Button) bot.widget(aMatcher, parentComposite, 3)); //for the 4th widget

Version:
  $Id$

Field Summary
`static long` | `DEFAULT_POLL_DELAY` Deprecated.
`protected Display` | `display` The display on which the bot operates on.
`protected Finder` | `finder` The finder used by the bot to find controls.

Constructor Summary
`SWTBot()` Constructs a bot.
`SWTBot(ControlFinder controlFinder, MenuFinder menuFinder)` Constructs an instance of the bot using the given control finder and menu finder.
`SWTBot(Finder finder)` Constructs a bot with the given finder.
`SWTBot(Widget parent)` Constructs a bot that will match the contents of the given parentWidget.

Method Summary
`SWTBotShell` | `activeShell()` Gets the current active shell.
`SWTBotArrowButton` | `arrowButton()`
`SWTBotArrowButton` | `arrowButton(int index)`
`SWTBotArrowButton` | `arrowButtonInGroup(String inGroup)`
`SWTBotArrowButton` | `arrowButtonInGroup(String inGroup, int index)`
`SWTBotArrowButton` | `arrowButtonWithId(String value)`
`SWTBotArrowButton` | `arrowButtonWithId(String value, int index)`
`SWTBotArrowButton` | `arrowButtonWithId(String key, String value)`
`SWTBotArrowButton` | `arrowButtonWithId(String key, String value, int index)`
`SWTBotArrowButton` | `arrowButtonWithLabel(String label)`
`SWTBotArrowButton` | `arrowButtonWithLabel(String label, int index)`
`SWTBotArrowButton` | `arrowButtonWithLabelInGroup(String label, String inGroup)`
`SWTBotArrowButton` | `arrowButtonWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotArrowButton` | `arrowButtonWithTooltip(String tooltip)`
`SWTBotArrowButton` | `arrowButtonWithTooltip(String tooltip, int index)`
`SWTBotArrowButton` | `arrowButtonWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotArrowButton` | `arrowButtonWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotBrowser` | `browser()`
`SWTBotBrowser` | `browser(int index)`
`SWTBotBrowser` | `browserInGroup(String inGroup)`
`SWTBotBrowser` | `browserInGroup(String inGroup, int index)`
`SWTBotBrowser` | `browserWithId(String value)`
`SWTBotBrowser` | `browserWithId(String value, int index)`
`SWTBotBrowser` | `browserWithId(String key, String value)`
`SWTBotBrowser` | `browserWithId(String key, String value, int index)`
`SWTBotBrowser` | `browserWithLabel(String label)`
`SWTBotBrowser` | `browserWithLabel(String label, int index)`
`SWTBotBrowser` | `browserWithLabelInGroup(String label, String inGroup)`
`SWTBotBrowser` | `browserWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotButton` | `button()`
`SWTBotButton` | `button(int index)`
`SWTBotButton` | `button(String mnemonicText)`
`SWTBotButton` | `button(String mnemonicText, int index)`
`SWTBotButton` | `buttonInGroup(String inGroup)`
`SWTBotButton` | `buttonInGroup(String inGroup, int index)`
`SWTBotButton` | `buttonInGroup(String mnemonicText, String inGroup)`
`SWTBotButton` | `buttonInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotButton` | `buttonWithId(String value)`
`SWTBotButton` | `buttonWithId(String value, int index)`
`SWTBotButton` | `buttonWithId(String key, String value)`
`SWTBotButton` | `buttonWithId(String key, String value, int index)`
`SWTBotButton` | `buttonWithLabel(String label)`
`SWTBotButton` | `buttonWithLabel(String label, int index)`
`SWTBotButton` | `buttonWithLabelInGroup(String label, String inGroup)`
`SWTBotButton` | `buttonWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotButton` | `buttonWithTooltip(String tooltip)`
`SWTBotButton` | `buttonWithTooltip(String tooltip, int index)`
`SWTBotButton` | `buttonWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotButton` | `buttonWithTooltipInGroup(String tooltip, String inGroup, int index)`
`boolean` | `captureScreenshot(String fileName)` Captures a screenshot to the given file name.
`SWTBotCCombo` | `ccomboBox()`
`SWTBotCCombo` | `ccomboBox(int index)`
`SWTBotCCombo` | `ccomboBox(String text)`
`SWTBotCCombo` | `ccomboBox(String text, int index)`
`SWTBotCCombo` | `ccomboBoxInGroup(String inGroup)`
`SWTBotCCombo` | `ccomboBoxInGroup(String inGroup, int index)`
`SWTBotCCombo` | `ccomboBoxInGroup(String text, String inGroup)`
`SWTBotCCombo` | `ccomboBoxInGroup(String text, String inGroup, int index)`
`SWTBotCCombo` | `ccomboBoxWithId(String value)`
`SWTBotCCombo` | `ccomboBoxWithId(String value, int index)`
`SWTBotCCombo` | `ccomboBoxWithId(String key, String value)`
`SWTBotCCombo` | `ccomboBoxWithId(String key, String value, int index)`
`SWTBotCCombo` | `ccomboBoxWithLabel(String label)`
`SWTBotCCombo` | `ccomboBoxWithLabel(String label, int index)`
`SWTBotCCombo` | `ccomboBoxWithLabelInGroup(String label, String inGroup)`
`SWTBotCCombo` | `ccomboBoxWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotCheckBox` | `checkBox()`
`SWTBotCheckBox` | `checkBox(int index)`
`SWTBotCheckBox` | `checkBox(String mnemonicText)`
`SWTBotCheckBox` | `checkBox(String mnemonicText, int index)`
`SWTBotCheckBox` | `checkBoxInGroup(String inGroup)`
`SWTBotCheckBox` | `checkBoxInGroup(String inGroup, int index)`
`SWTBotCheckBox` | `checkBoxInGroup(String mnemonicText, String inGroup)`
`SWTBotCheckBox` | `checkBoxInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotCheckBox` | `checkBoxWithId(String value)`
`SWTBotCheckBox` | `checkBoxWithId(String value, int index)`
`SWTBotCheckBox` | `checkBoxWithId(String key, String value)`
`SWTBotCheckBox` | `checkBoxWithId(String key, String value, int index)`
`SWTBotCheckBox` | `checkBoxWithLabel(String label)`
`SWTBotCheckBox` | `checkBoxWithLabel(String label, int index)`
`SWTBotCheckBox` | `checkBoxWithLabelInGroup(String label, String inGroup)`
`SWTBotCheckBox` | `checkBoxWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotCheckBox` | `checkBoxWithTooltip(String tooltip)`
`SWTBotCheckBox` | `checkBoxWithTooltip(String tooltip, int index)`
`SWTBotCheckBox` | `checkBoxWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotCheckBox` | `checkBoxWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotCLabel` | `clabel()`
`SWTBotCLabel` | `clabel(int index)`
`SWTBotCLabel` | `clabel(String mnemonicText)`
`SWTBotCLabel` | `clabel(String mnemonicText, int index)`
`SWTBotCLabel` | `clabelInGroup(String inGroup)`
`SWTBotCLabel` | `clabelInGroup(String inGroup, int index)`
`SWTBotCLabel` | `clabelInGroup(String mnemonicText, String inGroup)`
`SWTBotCLabel` | `clabelInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotCLabel` | `clabelWithId(String value)`
`SWTBotCLabel` | `clabelWithId(String value, int index)`
`SWTBotCLabel` | `clabelWithId(String key, String value)`
`SWTBotCLabel` | `clabelWithId(String key, String value, int index)`
`SWTBotCombo` | `comboBox()`
`SWTBotCombo` | `comboBox(int index)`
`SWTBotCombo` | `comboBox(String text)`
`SWTBotCombo` | `comboBox(String text, int index)`
`SWTBotCombo` | `comboBoxInGroup(String inGroup)`
`SWTBotCombo` | `comboBoxInGroup(String inGroup, int index)`
`SWTBotCombo` | `comboBoxInGroup(String text, String inGroup)`
`SWTBotCombo` | `comboBoxInGroup(String text, String inGroup, int index)`
`SWTBotCombo` | `comboBoxWithId(String value)`
`SWTBotCombo` | `comboBoxWithId(String value, int index)`
`SWTBotCombo` | `comboBoxWithId(String key, String value)`
`SWTBotCombo` | `comboBoxWithId(String key, String value, int index)`
`SWTBotCombo` | `comboBoxWithLabel(String label)`
`SWTBotCombo` | `comboBoxWithLabel(String label, int index)`
`SWTBotCombo` | `comboBoxWithLabelInGroup(String label, String inGroup)`
`SWTBotCombo` | `comboBoxWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotCTabItem` | `cTabItem()`
`SWTBotCTabItem` | `cTabItem(int index)`
`SWTBotCTabItem` | `cTabItem(String mnemonicText)`
`SWTBotCTabItem` | `cTabItem(String mnemonicText, int index)`
`SWTBotCTabItem` | `cTabItemInGroup(String inGroup)`
`SWTBotCTabItem` | `cTabItemInGroup(String inGroup, int index)`
`SWTBotCTabItem` | `cTabItemInGroup(String mnemonicText, String inGroup)`
`SWTBotCTabItem` | `cTabItemInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotCTabItem` | `cTabItemWithId(String value)`
`SWTBotCTabItem` | `cTabItemWithId(String value, int index)`
`SWTBotCTabItem` | `cTabItemWithId(String key, String value)`
`SWTBotCTabItem` | `cTabItemWithId(String key, String value, int index)`
`SWTBotDateTime` | `dateTime()`
`SWTBotDateTime` | `dateTime(int index)`
`SWTBotDateTime` | `dateTimeInGroup(String inGroup)`
`SWTBotDateTime` | `dateTimeInGroup(String inGroup, int index)`
`SWTBotDateTime` | `dateTimeWithId(String value)`
`SWTBotDateTime` | `dateTimeWithId(String value, int index)`
`SWTBotDateTime` | `dateTimeWithId(String key, String value)`
`SWTBotDateTime` | `dateTimeWithId(String key, String value, int index)`
`SWTBotDateTime` | `dateTimeWithLabel(String label)`
`SWTBotDateTime` | `dateTimeWithLabel(String label, int index)`
`SWTBotDateTime` | `dateTimeWithLabelInGroup(String label, String inGroup)`
`SWTBotDateTime` | `dateTimeWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotExpandBar` | `expandBar()`
`SWTBotExpandBar` | `expandBar(int index)`
`SWTBotExpandBar` | `expandBarInGroup(String inGroup)`
`SWTBotExpandBar` | `expandBarInGroup(String inGroup, int index)`
`SWTBotExpandBar` | `expandBarWithId(String value)`
`SWTBotExpandBar` | `expandBarWithId(String value, int index)`
`SWTBotExpandBar` | `expandBarWithId(String key, String value)`
`SWTBotExpandBar` | `expandBarWithId(String key, String value, int index)`
`SWTBotExpandBar` | `expandBarWithLabel(String label)`
`SWTBotExpandBar` | `expandBarWithLabel(String label, int index)`
`SWTBotExpandBar` | `expandBarWithLabelInGroup(String label, String inGroup)`
`SWTBotExpandBar` | `expandBarWithLabelInGroup(String label, String inGroup, int index)`
`Display` | `getDisplay()` Gets the display
`Finder` | `getFinder()`
`Control` | `getFocusedWidget()` Returns the control which currently has keyboard focus, or `null` if keyboard events are not currently going to any of the controls built by the currently running application.
`SWTBotLabel` | `label()`
`SWTBotLabel` | `label(int index)`
`SWTBotLabel` | `label(String mnemonicText)`
`SWTBotLabel` | `label(String mnemonicText, int index)`
`SWTBotLabel` | `labelInGroup(String inGroup)`
`SWTBotLabel` | `labelInGroup(String inGroup, int index)`
`SWTBotLabel` | `labelInGroup(String mnemonicText, String inGroup)`
`SWTBotLabel` | `labelInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotLabel` | `labelWithId(String value)`
`SWTBotLabel` | `labelWithId(String value, int index)`
`SWTBotLabel` | `labelWithId(String key, String value)`
`SWTBotLabel` | `labelWithId(String key, String value, int index)`
`SWTBotLink` | `link()`
`SWTBotLink` | `link(int index)`
`SWTBotLink` | `link(String mnemonicText)`
`SWTBotLink` | `link(String mnemonicText, int index)`
`SWTBotLink` | `linkInGroup(String inGroup)`
`SWTBotLink` | `linkInGroup(String inGroup, int index)`
`SWTBotLink` | `linkInGroup(String mnemonicText, String inGroup)`
`SWTBotLink` | `linkInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotLink` | `linkWithId(String value)`
`SWTBotLink` | `linkWithId(String value, int index)`
`SWTBotLink` | `linkWithId(String key, String value)`
`SWTBotLink` | `linkWithId(String key, String value, int index)`
`SWTBotList` | `list()`
`SWTBotList` | `list(int index)`
`SWTBotList` | `listInGroup(String inGroup)`
`SWTBotList` | `listInGroup(String inGroup, int index)`
`SWTBotList` | `listWithId(String value)`
`SWTBotList` | `listWithId(String value, int index)`
`SWTBotList` | `listWithId(String key, String value)`
`SWTBotList` | `listWithId(String key, String value, int index)`
`SWTBotList` | `listWithLabel(String label)`
`SWTBotList` | `listWithLabel(String label, int index)`
`SWTBotList` | `listWithLabelInGroup(String label, String inGroup)`
`SWTBotList` | `listWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotMenu` | `menu(String text)`
`SWTBotMenu` | `menu(String text, int index)`
`SWTBotMenu` | `menu(SWTBotShell shell, Matcher<MenuItem> matcher, int index)`
`SWTBotMenu` | `menuWithId(String value)`
`SWTBotMenu` | `menuWithId(String value, int index)`
`SWTBotMenu` | `menuWithId(String key, String value)`
`SWTBotMenu` | `menuWithId(String key, String value, int index)`
`
`<T> T`
` | `performWithTimeout(Result<T> runnable, long timeout)` Performs an operation with a timeout and return a result.
`void` | `performWithTimeout(VoidResult runnable, long timeout)`
`SWTBotRadio` | `radio()`
`SWTBotRadio` | `radio(int index)`
`SWTBotRadio` | `radio(String mnemonicText)`
`SWTBotRadio` | `radio(String mnemonicText, int index)`
`SWTBotRadio` | `radioInGroup(String inGroup)`
`SWTBotRadio` | `radioInGroup(String inGroup, int index)`
`SWTBotRadio` | `radioInGroup(String mnemonicText, String inGroup)`
`SWTBotRadio` | `radioInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotRadio` | `radioWithId(String value)`
`SWTBotRadio` | `radioWithId(String value, int index)`
`SWTBotRadio` | `radioWithId(String key, String value)`
`SWTBotRadio` | `radioWithId(String key, String value, int index)`
`SWTBotRadio` | `radioWithLabel(String label)`
`SWTBotRadio` | `radioWithLabel(String label, int index)`
`SWTBotRadio` | `radioWithLabelInGroup(String label, String inGroup)`
`SWTBotRadio` | `radioWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotRadio` | `radioWithTooltip(String tooltip)`
`SWTBotRadio` | `radioWithTooltip(String tooltip, int index)`
`SWTBotRadio` | `radioWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotRadio` | `radioWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotScale` | `scale()`
`SWTBotScale` | `scale(int index)`
`SWTBotScale` | `scale(String text)`
`SWTBotScale` | `scale(String text, int index)`
`SWTBotScale` | `scaleInGroup(String inGroup)`
`SWTBotScale` | `scaleInGroup(String inGroup, int index)`
`SWTBotScale` | `scaleInGroup(String text, String inGroup)`
`SWTBotScale` | `scaleInGroup(String text, String inGroup, int index)`
`SWTBotScale` | `scaleWithId(String value)`
`SWTBotScale` | `scaleWithId(String value, int index)`
`SWTBotScale` | `scaleWithId(String key, String value)`
`SWTBotScale` | `scaleWithId(String key, String value, int index)`
`SWTBotScale` | `scaleWithLabel(String label)`
`SWTBotScale` | `scaleWithLabel(String label, int index)`
`SWTBotScale` | `scaleWithLabelInGroup(String label, String inGroup)`
`SWTBotScale` | `scaleWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotScale` | `scaleWithTooltip(String tooltip)`
`SWTBotScale` | `scaleWithTooltip(String tooltip, int index)`
`SWTBotScale` | `scaleWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotScale` | `scaleWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotShell` | `shell(String text)`
`SWTBotShell` | `shell(String text, int index)`
`SWTBotShell` | `shell(String text, Shell parent)`
`SWTBotShell` | `shell(String text, Shell parent, int index)`
`SWTBotShell[]` | `shells()` Gets the list of shells found in the display.
`List<Shell>` | `shells(String text)`
`List<Shell>` | `shells(String text, Shell parent)`
`SWTBotShell` | `shellWithId(String value)`
`SWTBotShell` | `shellWithId(String value, int index)`
`SWTBotShell` | `shellWithId(String key, String value)`
`SWTBotShell` | `shellWithId(String key, String value, int index)`
`void` | `sleep(long millis)` Sleeps for the given number of milliseconds.
`SWTBotSlider` | `slider()`
`SWTBotSlider` | `slider(int index)`
`SWTBotSlider` | `slider(String text)`
`SWTBotSlider` | `slider(String text, int index)`
`SWTBotSlider` | `sliderInGroup(String inGroup)`
`SWTBotSlider` | `sliderInGroup(String inGroup, int index)`
`SWTBotSlider` | `sliderInGroup(String text, String inGroup)`
`SWTBotSlider` | `sliderInGroup(String text, String inGroup, int index)`
`SWTBotSlider` | `sliderWithId(String value)`
`SWTBotSlider` | `sliderWithId(String value, int index)`
`SWTBotSlider` | `sliderWithId(String key, String value)`
`SWTBotSlider` | `sliderWithId(String key, String value, int index)`
`SWTBotSlider` | `sliderWithLabel(String label)`
`SWTBotSlider` | `sliderWithLabel(String label, int index)`
`SWTBotSlider` | `sliderWithLabelInGroup(String label, String inGroup)`
`SWTBotSlider` | `sliderWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotSlider` | `sliderWithTooltip(String tooltip)`
`SWTBotSlider` | `sliderWithTooltip(String tooltip, int index)`
`SWTBotSlider` | `sliderWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotSlider` | `sliderWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotSpinner` | `spinner()`
`SWTBotSpinner` | `spinner(int index)`
`SWTBotSpinner` | `spinner(String text)`
`SWTBotSpinner` | `spinner(String text, int index)`
`SWTBotSpinner` | `spinnerInGroup(String inGroup)`
`SWTBotSpinner` | `spinnerInGroup(String inGroup, int index)`
`SWTBotSpinner` | `spinnerInGroup(String text, String inGroup)`
`SWTBotSpinner` | `spinnerInGroup(String text, String inGroup, int index)`
`SWTBotSpinner` | `spinnerWithId(String value)`
`SWTBotSpinner` | `spinnerWithId(String value, int index)`
`SWTBotSpinner` | `spinnerWithId(String key, String value)`
`SWTBotSpinner` | `spinnerWithId(String key, String value, int index)`
`SWTBotSpinner` | `spinnerWithLabel(String label)`
`SWTBotSpinner` | `spinnerWithLabel(String label, int index)`
`SWTBotSpinner` | `spinnerWithLabelInGroup(String label, String inGroup)`
`SWTBotSpinner` | `spinnerWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotSpinner` | `spinnerWithTooltip(String tooltip)`
`SWTBotSpinner` | `spinnerWithTooltip(String tooltip, int index)`
`SWTBotSpinner` | `spinnerWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotSpinner` | `spinnerWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotStyledText` | `styledText()`
`SWTBotStyledText` | `styledText(int index)`
`SWTBotStyledText` | `styledText(String text)`
`SWTBotStyledText` | `styledText(String text, int index)`
`SWTBotStyledText` | `styledTextInGroup(String inGroup)`
`SWTBotStyledText` | `styledTextInGroup(String inGroup, int index)`
`SWTBotStyledText` | `styledTextInGroup(String text, String inGroup)`
`SWTBotStyledText` | `styledTextInGroup(String text, String inGroup, int index)`
`SWTBotStyledText` | `styledTextWithId(String value)`
`SWTBotStyledText` | `styledTextWithId(String value, int index)`
`SWTBotStyledText` | `styledTextWithId(String key, String value)`
`SWTBotStyledText` | `styledTextWithId(String key, String value, int index)`
`SWTBotStyledText` | `styledTextWithLabel(String label)`
`SWTBotStyledText` | `styledTextWithLabel(String label, int index)`
`SWTBotStyledText` | `styledTextWithLabelInGroup(String label, String inGroup)`
`SWTBotStyledText` | `styledTextWithLabelInGroup(String label, String inGroup, int index)`
`protected Tray` | `systemTray()`
`SWTBotTabItem` | `tabItem()`
`SWTBotTabItem` | `tabItem(int index)`
`SWTBotTabItem` | `tabItem(String mnemonicText)`
`SWTBotTabItem` | `tabItem(String mnemonicText, int index)`
`SWTBotTabItem` | `tabItemInGroup(String inGroup)`
`SWTBotTabItem` | `tabItemInGroup(String inGroup, int index)`
`SWTBotTabItem` | `tabItemInGroup(String mnemonicText, String inGroup)`
`SWTBotTabItem` | `tabItemInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotTabItem` | `tabItemWithId(String value)`
`SWTBotTabItem` | `tabItemWithId(String value, int index)`
`SWTBotTabItem` | `tabItemWithId(String key, String value)`
`SWTBotTabItem` | `tabItemWithId(String key, String value, int index)`
`SWTBotTable` | `table()`
`SWTBotTable` | `table(int index)`
`SWTBotTable` | `tableInGroup(String inGroup)`
`SWTBotTable` | `tableInGroup(String inGroup, int index)`
`SWTBotTable` | `tableWithId(String value)`
`SWTBotTable` | `tableWithId(String value, int index)`
`SWTBotTable` | `tableWithId(String key, String value)`
`SWTBotTable` | `tableWithId(String key, String value, int index)`
`SWTBotTable` | `tableWithLabel(String label)`
`SWTBotTable` | `tableWithLabel(String label, int index)`
`SWTBotTable` | `tableWithLabelInGroup(String label, String inGroup)`
`SWTBotTable` | `tableWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotText` | `text()`
`SWTBotText` | `text(int index)`
`SWTBotText` | `text(String text)`
`SWTBotText` | `text(String text, int index)`
`SWTBotText` | `textInGroup(String inGroup)`
`SWTBotText` | `textInGroup(String inGroup, int index)`
`SWTBotText` | `textInGroup(String text, String inGroup)`
`SWTBotText` | `textInGroup(String text, String inGroup, int index)`
`SWTBotText` | `textWithId(String value)`
`SWTBotText` | `textWithId(String value, int index)`
`SWTBotText` | `textWithId(String key, String value)`
`SWTBotText` | `textWithId(String key, String value, int index)`
`SWTBotText` | `textWithLabel(String label)`
`SWTBotText` | `textWithLabel(String label, int index)`
`SWTBotText` | `textWithLabelInGroup(String label, String inGroup)`
`SWTBotText` | `textWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotText` | `textWithMessage(String message)`
`SWTBotText` | `textWithMessage(String message, int index)`
`SWTBotText` | `textWithTooltip(String tooltip)`
`SWTBotText` | `textWithTooltip(String tooltip, int index)`
`SWTBotText` | `textWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotText` | `textWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotToggleButton` | `toggleButton()`
`SWTBotToggleButton` | `toggleButton(int index)`
`SWTBotToggleButton` | `toggleButton(String mnemonicText)`
`SWTBotToggleButton` | `toggleButton(String mnemonicText, int index)`
`SWTBotToggleButton` | `toggleButtonInGroup(String inGroup)`
`SWTBotToggleButton` | `toggleButtonInGroup(String inGroup, int index)`
`SWTBotToggleButton` | `toggleButtonInGroup(String mnemonicText, String inGroup)`
`SWTBotToggleButton` | `toggleButtonInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotToggleButton` | `toggleButtonWithId(String value)`
`SWTBotToggleButton` | `toggleButtonWithId(String value, int index)`
`SWTBotToggleButton` | `toggleButtonWithId(String key, String value)`
`SWTBotToggleButton` | `toggleButtonWithId(String key, String value, int index)`
`SWTBotToggleButton` | `toggleButtonWithLabel(String label)`
`SWTBotToggleButton` | `toggleButtonWithLabel(String label, int index)`
`SWTBotToggleButton` | `toggleButtonWithLabelInGroup(String label, String inGroup)`
`SWTBotToggleButton` | `toggleButtonWithLabelInGroup(String label, String inGroup, int index)`
`SWTBotToggleButton` | `toggleButtonWithTooltip(String tooltip)`
`SWTBotToggleButton` | `toggleButtonWithTooltip(String tooltip, int index)`
`SWTBotToggleButton` | `toggleButtonWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotToggleButton` | `toggleButtonWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotToolbarButton` | `toolbarButton()`
`SWTBotToolbarButton` | `toolbarButton(int index)`
`SWTBotToolbarButton` | `toolbarButton(String mnemonicText)`
`SWTBotToolbarButton` | `toolbarButton(String mnemonicText, int index)`
`SWTBotToolbarButton` | `toolbarButtonInGroup(String inGroup)`
`SWTBotToolbarButton` | `toolbarButtonInGroup(String inGroup, int index)`
`SWTBotToolbarButton` | `toolbarButtonInGroup(String mnemonicText, String inGroup)`
`SWTBotToolbarButton` | `toolbarButtonInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotToolbarButton` | `toolbarButtonWithId(String value)`
`SWTBotToolbarButton` | `toolbarButtonWithId(String value, int index)`
`SWTBotToolbarButton` | `toolbarButtonWithId(String key, String value)`
`SWTBotToolbarButton` | `toolbarButtonWithId(String key, String value, int index)`
`SWTBotToolbarButton` | `toolbarButtonWithTooltip(String tooltip)`
`SWTBotToolbarButton` | `toolbarButtonWithTooltip(String tooltip, int index)`
`SWTBotToolbarButton` | `toolbarButtonWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotToolbarButton` | `toolbarButtonWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButton()`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButton(int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButton(String mnemonicText)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButton(String mnemonicText, int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonInGroup(String inGroup)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonInGroup(String inGroup, int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonInGroup(String mnemonicText, String inGroup)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithId(String value)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithId(String value, int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithId(String key, String value)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithId(String key, String value, int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithTooltip(String tooltip)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithTooltip(String tooltip, int index)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotToolbarDropDownButton` | `toolbarDropDownButtonWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButton()`
`SWTBotToolbarRadioButton` | `toolbarRadioButton(int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButton(String mnemonicText)`
`SWTBotToolbarRadioButton` | `toolbarRadioButton(String mnemonicText, int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonInGroup(String inGroup)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonInGroup(String inGroup, int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonInGroup(String mnemonicText, String inGroup)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithId(String value)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithId(String value, int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithId(String key, String value)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithId(String key, String value, int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithTooltip(String tooltip)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithTooltip(String tooltip, int index)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotToolbarRadioButton` | `toolbarRadioButtonWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButton()`
`SWTBotToolbarToggleButton` | `toolbarToggleButton(int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButton(String mnemonicText)`
`SWTBotToolbarToggleButton` | `toolbarToggleButton(String mnemonicText, int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonInGroup(String inGroup)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonInGroup(String inGroup, int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonInGroup(String mnemonicText, String inGroup)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonInGroup(String mnemonicText, String inGroup, int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithId(String value)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithId(String value, int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithId(String key, String value)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithId(String key, String value, int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithTooltip(String tooltip)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithTooltip(String tooltip, int index)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithTooltipInGroup(String tooltip, String inGroup)`
`SWTBotToolbarToggleButton` | `toolbarToggleButtonWithTooltipInGroup(String tooltip, String inGroup, int index)`
`SWTBotTrayItem` | `trayItem()`
`SWTBotTrayItem` | `trayItem(int index)`
`List<SWTBotTrayItem>` | `trayItems()`
`List<SWTBotTrayItem>` | `trayItems(Matcher<?> matcher)`
`SWTBotTrayItem` | `trayItemWithTooltip(String tooltip)`
`SWTBotTrayItem` | `trayItemWithTooltip(String tooltip, int index)`
`SWTBotTree` | `tree()`
`SWTBotTree` | `tree(int index)`
`SWTBotTree` | `treeInGroup(String inGroup)`
`SWTBotTree` | `treeInGroup(String inGroup, int index)`
`SWTBotTree` | `treeWithId(String value)`
`SWTBotTree` | `treeWithId(String value, int index)`
`SWTBotTree` | `treeWithId(String key, String value)`
`SWTBotTree` | `treeWithId(String key, String value, int index)`
`SWTBotTree` | `treeWithLabel(String label)`
`SWTBotTree` | `treeWithLabel(String label, int index)`
`SWTBotTree` | `treeWithLabelInGroup(String label, String inGroup)`
`SWTBotTree` | `treeWithLabelInGroup(String label, String inGroup, int index)`
`void` | `waitUntil(ICondition condition)` Waits until a specified condition evaluates to true.
`void` | `waitUntil(ICondition condition, long timeout)` Waits until the timeout is reached or the condition is met.
`void` | `waitUntil(ICondition condition, long timeout, long interval)` Waits until the condition has been meet, or the timeout is reached.
`void` | `waitUntilWidgetAppears(ICondition waitForWidget)`
`void` | `waitWhile(ICondition condition)` Waits while the condition is true.
`void` | `waitWhile(ICondition condition, long timeout)` Waits while the condition is true, until the timeout is reached.
`void` | `waitWhile(ICondition condition, long timeout, long interval)` Waits while the condition is true, until the timeout is reached.
`
`<T extends Widget> T`
` | `widget(Matcher<T> matcher)`
`
`<T extends Widget> T`
` | `widget(Matcher<T> matcher, int index)`
`
`<T extends Widget> T`
` | `widget(Matcher<T> matcher, Widget parentWidget)`
`
`<T extends Widget> T`
` | `widget(Matcher<T> matcher, Widget parentWidget, int index)`
`
`<T extends Widget> List<? extends T>`
` | `widgets(Matcher<T> matcher)`
`
`<T extends Widget> List<? extends T>`
` | `widgets(Matcher<T> matcher, Widget parentWidget)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_POLL_DELAY

    @Deprecated
    public static final long DEFAULT_POLL_DELAY

  Deprecated.
  the delay between successive polling while waiting for a condition to be true. Use SWTBotPreferences#DEFAULT_POLL_DELAY

### display

    protected final Display display

  The display on which the bot operates on.

### finder

    protected final Finder finder

  The finder used by the bot to find controls.

Constructor Detail

### SWTBot

    public SWTBot()

  Constructs a bot.

### SWTBot

    public SWTBot(Widget parent)

  Constructs a bot that will match the contents of the given parentWidget.

  Parameters:
    `parent` - the parent

### SWTBot

    public SWTBot(ControlFinder controlFinder,
                  MenuFinder menuFinder)

  Constructs an instance of the bot using the given control finder and menu finder.

  Parameters:
    `controlFinder` - the `ControlFinder` used to identify and find controls.
    `menuFinder` - the `MenuFinder` used to find menu items.

### SWTBot

    public SWTBot(Finder finder)

  Constructs a bot with the given finder.

  Parameters:
    `finder` - the finder.

Method Detail

### buttonWithLabel

    public SWTBotButton buttonWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotButton` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithLabel

    public SWTBotButton buttonWithLabel(String label,
                                        int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### button

    public SWTBotButton button(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### button

    public SWTBotButton button(String mnemonicText,
                               int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithTooltip

    public SWTBotButton buttonWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithTooltip

    public SWTBotButton buttonWithTooltip(String tooltip,
                                          int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithId

    public SWTBotButton buttonWithId(String key,
                                     String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithId

    public SWTBotButton buttonWithId(String key,
                                     String value,
                                     int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithId

    public SWTBotButton buttonWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithId

    public SWTBotButton buttonWithId(String value,
                                     int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonInGroup

    public SWTBotButton buttonInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonInGroup

    public SWTBotButton buttonInGroup(String inGroup,
                                      int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### button

    public SWTBotButton button()

  Returns:
    a `SWTBotButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### button

    public SWTBotButton button(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithLabelInGroup

    public SWTBotButton buttonWithLabelInGroup(String label,
                                               String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotButton` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithLabelInGroup

    public SWTBotButton buttonWithLabelInGroup(String label,
                                               String inGroup,
                                               int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonInGroup

    public SWTBotButton buttonInGroup(String mnemonicText,
                                      String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonInGroup

    public SWTBotButton buttonInGroup(String mnemonicText,
                                      String inGroup,
                                      int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithTooltipInGroup

    public SWTBotButton buttonWithTooltipInGroup(String tooltip,
                                                 String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### buttonWithTooltipInGroup

    public SWTBotButton buttonWithTooltipInGroup(String tooltip,
                                                 String inGroup,
                                                 int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithLabel

    public SWTBotArrowButton arrowButtonWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithLabel

    public SWTBotArrowButton arrowButtonWithLabel(String label,
                                                  int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithTooltip

    public SWTBotArrowButton arrowButtonWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithTooltip

    public SWTBotArrowButton arrowButtonWithTooltip(String tooltip,
                                                    int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithId

    public SWTBotArrowButton arrowButtonWithId(String key,
                                               String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotArrowButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithId

    public SWTBotArrowButton arrowButtonWithId(String key,
                                               String value,
                                               int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithId

    public SWTBotArrowButton arrowButtonWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotArrowButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithId

    public SWTBotArrowButton arrowButtonWithId(String value,
                                               int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonInGroup

    public SWTBotArrowButton arrowButtonInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonInGroup

    public SWTBotArrowButton arrowButtonInGroup(String inGroup,
                                                int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButton

    public SWTBotArrowButton arrowButton()

  Returns:
    a `SWTBotArrowButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButton

    public SWTBotArrowButton arrowButton(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithLabelInGroup

    public SWTBotArrowButton arrowButtonWithLabelInGroup(String label,
                                                         String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithLabelInGroup

    public SWTBotArrowButton arrowButtonWithLabelInGroup(String label,
                                                         String inGroup,
                                                         int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithTooltipInGroup

    public SWTBotArrowButton arrowButtonWithTooltipInGroup(String tooltip,
                                                           String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### arrowButtonWithTooltipInGroup

    public SWTBotArrowButton arrowButtonWithTooltipInGroup(String tooltip,
                                                           String inGroup,
                                                           int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotArrowButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithLabel

    public SWTBotCheckBox checkBoxWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithLabel

    public SWTBotCheckBox checkBoxWithLabel(String label,
                                            int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBox

    public SWTBotCheckBox checkBox(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBox

    public SWTBotCheckBox checkBox(String mnemonicText,
                                   int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithTooltip

    public SWTBotCheckBox checkBoxWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithTooltip

    public SWTBotCheckBox checkBoxWithTooltip(String tooltip,
                                              int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithId

    public SWTBotCheckBox checkBoxWithId(String key,
                                         String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotCheckBox` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithId

    public SWTBotCheckBox checkBoxWithId(String key,
                                         String value,
                                         int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithId

    public SWTBotCheckBox checkBoxWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotCheckBox` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithId

    public SWTBotCheckBox checkBoxWithId(String value,
                                         int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxInGroup

    public SWTBotCheckBox checkBoxInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxInGroup

    public SWTBotCheckBox checkBoxInGroup(String inGroup,
                                          int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBox

    public SWTBotCheckBox checkBox()

  Returns:
    a `SWTBotCheckBox` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBox

    public SWTBotCheckBox checkBox(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithLabelInGroup

    public SWTBotCheckBox checkBoxWithLabelInGroup(String label,
                                                   String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithLabelInGroup

    public SWTBotCheckBox checkBoxWithLabelInGroup(String label,
                                                   String inGroup,
                                                   int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxInGroup

    public SWTBotCheckBox checkBoxInGroup(String mnemonicText,
                                          String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxInGroup

    public SWTBotCheckBox checkBoxInGroup(String mnemonicText,
                                          String inGroup,
                                          int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithTooltipInGroup

    public SWTBotCheckBox checkBoxWithTooltipInGroup(String tooltip,
                                                     String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### checkBoxWithTooltipInGroup

    public SWTBotCheckBox checkBoxWithTooltipInGroup(String tooltip,
                                                     String inGroup,
                                                     int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCheckBox` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithLabel

    public SWTBotRadio radioWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotRadio` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithLabel

    public SWTBotRadio radioWithLabel(String label,
                                      int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radio

    public SWTBotRadio radio(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotRadio` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radio

    public SWTBotRadio radio(String mnemonicText,
                             int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithTooltip

    public SWTBotRadio radioWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotRadio` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithTooltip

    public SWTBotRadio radioWithTooltip(String tooltip,
                                        int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithId

    public SWTBotRadio radioWithId(String key,
                                   String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotRadio` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithId

    public SWTBotRadio radioWithId(String key,
                                   String value,
                                   int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithId

    public SWTBotRadio radioWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotRadio` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithId

    public SWTBotRadio radioWithId(String value,
                                   int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioInGroup

    public SWTBotRadio radioInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotRadio` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioInGroup

    public SWTBotRadio radioInGroup(String inGroup,
                                    int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radio

    public SWTBotRadio radio()

  Returns:
    a `SWTBotRadio` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radio

    public SWTBotRadio radio(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithLabelInGroup

    public SWTBotRadio radioWithLabelInGroup(String label,
                                             String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotRadio` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithLabelInGroup

    public SWTBotRadio radioWithLabelInGroup(String label,
                                             String inGroup,
                                             int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioInGroup

    public SWTBotRadio radioInGroup(String mnemonicText,
                                    String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotRadio` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioInGroup

    public SWTBotRadio radioInGroup(String mnemonicText,
                                    String inGroup,
                                    int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithTooltipInGroup

    public SWTBotRadio radioWithTooltipInGroup(String tooltip,
                                               String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotRadio` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### radioWithTooltipInGroup

    public SWTBotRadio radioWithTooltipInGroup(String tooltip,
                                               String inGroup,
                                               int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotRadio` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithLabel

    public SWTBotToggleButton toggleButtonWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithLabel

    public SWTBotToggleButton toggleButtonWithLabel(String label,
                                                    int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButton

    public SWTBotToggleButton toggleButton(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButton

    public SWTBotToggleButton toggleButton(String mnemonicText,
                                           int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithTooltip

    public SWTBotToggleButton toggleButtonWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithTooltip

    public SWTBotToggleButton toggleButtonWithTooltip(String tooltip,
                                                      int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithId

    public SWTBotToggleButton toggleButtonWithId(String key,
                                                 String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotToggleButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithId

    public SWTBotToggleButton toggleButtonWithId(String key,
                                                 String value,
                                                 int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithId

    public SWTBotToggleButton toggleButtonWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotToggleButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithId

    public SWTBotToggleButton toggleButtonWithId(String value,
                                                 int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonInGroup

    public SWTBotToggleButton toggleButtonInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonInGroup

    public SWTBotToggleButton toggleButtonInGroup(String inGroup,
                                                  int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButton

    public SWTBotToggleButton toggleButton()

  Returns:
    a `SWTBotToggleButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButton

    public SWTBotToggleButton toggleButton(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithLabelInGroup

    public SWTBotToggleButton toggleButtonWithLabelInGroup(String label,
                                                           String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithLabelInGroup

    public SWTBotToggleButton toggleButtonWithLabelInGroup(String label,
                                                           String inGroup,
                                                           int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonInGroup

    public SWTBotToggleButton toggleButtonInGroup(String mnemonicText,
                                                  String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonInGroup

    public SWTBotToggleButton toggleButtonInGroup(String mnemonicText,
                                                  String inGroup,
                                                  int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithTooltipInGroup

    public SWTBotToggleButton toggleButtonWithTooltipInGroup(String tooltip,
                                                             String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toggleButtonWithTooltipInGroup

    public SWTBotToggleButton toggleButtonWithTooltipInGroup(String tooltip,
                                                             String inGroup,
                                                             int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToggleButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithLabel

    public SWTBotTree treeWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotTree` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithLabel

    public SWTBotTree treeWithLabel(String label,
                                    int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTree` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithId

    public SWTBotTree treeWithId(String key,
                                 String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotTree` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithId

    public SWTBotTree treeWithId(String key,
                                 String value,
                                 int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTree` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithId

    public SWTBotTree treeWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotTree` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithId

    public SWTBotTree treeWithId(String value,
                                 int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTree` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeInGroup

    public SWTBotTree treeInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotTree` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeInGroup

    public SWTBotTree treeInGroup(String inGroup,
                                  int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTree` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tree

    public SWTBotTree tree()

  Returns:
    a `SWTBotTree` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tree

    public SWTBotTree tree(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotTree` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithLabelInGroup

    public SWTBotTree treeWithLabelInGroup(String label,
                                           String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotTree` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### treeWithLabelInGroup

    public SWTBotTree treeWithLabelInGroup(String label,
                                           String inGroup,
                                           int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTree` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithLabel

    public SWTBotText textWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotText` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithLabel

    public SWTBotText textWithLabel(String label,
                                    int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### text

    public SWTBotText text(String text)

  Parameters:
    `text` - the text on the widget.
  Returns:
    a `SWTBotText` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### text

    public SWTBotText text(String text,
                           int index)

  Parameters:
    `text` - the text on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithTooltip

    public SWTBotText textWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotText` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithTooltip

    public SWTBotText textWithTooltip(String tooltip,
                                      int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithMessage

    public SWTBotText textWithMessage(String message)

  Parameters:
    `message` - the message on the widget.
  Returns:
    a `SWTBotText` with the specified `message`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithMessage

    public SWTBotText textWithMessage(String message,
                                      int index)

  Parameters:
    `message` - the message on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `message`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithId

    public SWTBotText textWithId(String key,
                                 String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotText` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithId

    public SWTBotText textWithId(String key,
                                 String value,
                                 int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithId

    public SWTBotText textWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotText` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithId

    public SWTBotText textWithId(String value,
                                 int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textInGroup

    public SWTBotText textInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textInGroup

    public SWTBotText textInGroup(String inGroup,
                                  int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### text

    public SWTBotText text()

  Returns:
    a `SWTBotText` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### text

    public SWTBotText text(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithLabelInGroup

    public SWTBotText textWithLabelInGroup(String label,
                                           String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotText` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithLabelInGroup

    public SWTBotText textWithLabelInGroup(String label,
                                           String inGroup,
                                           int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textInGroup

    public SWTBotText textInGroup(String text,
                                  String inGroup)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotText` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textInGroup

    public SWTBotText textInGroup(String text,
                                  String inGroup,
                                  int index)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithTooltipInGroup

    public SWTBotText textWithTooltipInGroup(String tooltip,
                                             String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotText` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### textWithTooltipInGroup

    public SWTBotText textWithTooltipInGroup(String tooltip,
                                             String inGroup,
                                             int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotText` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithLabel

    public SWTBotCombo comboBoxWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotCombo` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithLabel

    public SWTBotCombo comboBoxWithLabel(String label,
                                         int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBox

    public SWTBotCombo comboBox(String text)

  Parameters:
    `text` - the text on the widget.
  Returns:
    a `SWTBotCombo` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBox

    public SWTBotCombo comboBox(String text,
                                int index)

  Parameters:
    `text` - the text on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithId

    public SWTBotCombo comboBoxWithId(String key,
                                      String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotCombo` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithId

    public SWTBotCombo comboBoxWithId(String key,
                                      String value,
                                      int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithId

    public SWTBotCombo comboBoxWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotCombo` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithId

    public SWTBotCombo comboBoxWithId(String value,
                                      int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxInGroup

    public SWTBotCombo comboBoxInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCombo` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxInGroup

    public SWTBotCombo comboBoxInGroup(String inGroup,
                                       int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBox

    public SWTBotCombo comboBox()

  Returns:
    a `SWTBotCombo` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBox

    public SWTBotCombo comboBox(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithLabelInGroup

    public SWTBotCombo comboBoxWithLabelInGroup(String label,
                                                String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCombo` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxWithLabelInGroup

    public SWTBotCombo comboBoxWithLabelInGroup(String label,
                                                String inGroup,
                                                int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxInGroup

    public SWTBotCombo comboBoxInGroup(String text,
                                       String inGroup)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCombo` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### comboBoxInGroup

    public SWTBotCombo comboBoxInGroup(String text,
                                       String inGroup,
                                       int index)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCombo` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBox

    public SWTBotCCombo ccomboBox(String text)

  Parameters:
    `text` - the text on the widget.
  Returns:
    a `SWTBotCCombo` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBox

    public SWTBotCCombo ccomboBox(String text,
                                  int index)

  Parameters:
    `text` - the text on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithLabel

    public SWTBotCCombo ccomboBoxWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotCCombo` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithLabel

    public SWTBotCCombo ccomboBoxWithLabel(String label,
                                           int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithId

    public SWTBotCCombo ccomboBoxWithId(String key,
                                        String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotCCombo` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithId

    public SWTBotCCombo ccomboBoxWithId(String key,
                                        String value,
                                        int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithId

    public SWTBotCCombo ccomboBoxWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotCCombo` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithId

    public SWTBotCCombo ccomboBoxWithId(String value,
                                        int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxInGroup

    public SWTBotCCombo ccomboBoxInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCCombo` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxInGroup

    public SWTBotCCombo ccomboBoxInGroup(String inGroup,
                                         int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBox

    public SWTBotCCombo ccomboBox()

  Returns:
    a `SWTBotCCombo` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBox

    public SWTBotCCombo ccomboBox(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxInGroup

    public SWTBotCCombo ccomboBoxInGroup(String text,
                                         String inGroup)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCCombo` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxInGroup

    public SWTBotCCombo ccomboBoxInGroup(String text,
                                         String inGroup,
                                         int index)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithLabelInGroup

    public SWTBotCCombo ccomboBoxWithLabelInGroup(String label,
                                                  String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCCombo` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### ccomboBoxWithLabelInGroup

    public SWTBotCCombo ccomboBoxWithLabelInGroup(String label,
                                                  String inGroup,
                                                  int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCCombo` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabel

    public SWTBotCLabel clabel(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotCLabel` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabel

    public SWTBotCLabel clabel(String mnemonicText,
                               int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCLabel` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelWithId

    public SWTBotCLabel clabelWithId(String key,
                                     String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotCLabel` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelWithId

    public SWTBotCLabel clabelWithId(String key,
                                     String value,
                                     int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCLabel` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelWithId

    public SWTBotCLabel clabelWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotCLabel` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelWithId

    public SWTBotCLabel clabelWithId(String value,
                                     int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCLabel` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelInGroup

    public SWTBotCLabel clabelInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCLabel` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelInGroup

    public SWTBotCLabel clabelInGroup(String inGroup,
                                      int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCLabel` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabel

    public SWTBotCLabel clabel()

  Returns:
    a `SWTBotCLabel` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabel

    public SWTBotCLabel clabel(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotCLabel` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelInGroup

    public SWTBotCLabel clabelInGroup(String mnemonicText,
                                      String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCLabel` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### clabelInGroup

    public SWTBotCLabel clabelInGroup(String mnemonicText,
                                      String inGroup,
                                      int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCLabel` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### label

    public SWTBotLabel label(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotLabel` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### label

    public SWTBotLabel label(String mnemonicText,
                             int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLabel` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelWithId

    public SWTBotLabel labelWithId(String key,
                                   String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotLabel` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelWithId

    public SWTBotLabel labelWithId(String key,
                                   String value,
                                   int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLabel` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelWithId

    public SWTBotLabel labelWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotLabel` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelWithId

    public SWTBotLabel labelWithId(String value,
                                   int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLabel` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelInGroup

    public SWTBotLabel labelInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotLabel` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelInGroup

    public SWTBotLabel labelInGroup(String inGroup,
                                    int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLabel` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### label

    public SWTBotLabel label()

  Returns:
    a `SWTBotLabel` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### label

    public SWTBotLabel label(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotLabel` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelInGroup

    public SWTBotLabel labelInGroup(String mnemonicText,
                                    String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotLabel` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### labelInGroup

    public SWTBotLabel labelInGroup(String mnemonicText,
                                    String inGroup,
                                    int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLabel` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithLabel

    public SWTBotList listWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotList` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithLabel

    public SWTBotList listWithLabel(String label,
                                    int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotList` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithId

    public SWTBotList listWithId(String key,
                                 String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotList` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithId

    public SWTBotList listWithId(String key,
                                 String value,
                                 int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotList` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithId

    public SWTBotList listWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotList` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithId

    public SWTBotList listWithId(String value,
                                 int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotList` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listInGroup

    public SWTBotList listInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotList` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listInGroup

    public SWTBotList listInGroup(String inGroup,
                                  int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotList` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### list

    public SWTBotList list()

  Returns:
    a `SWTBotList` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### list

    public SWTBotList list(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotList` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithLabelInGroup

    public SWTBotList listWithLabelInGroup(String label,
                                           String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotList` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### listWithLabelInGroup

    public SWTBotList listWithLabelInGroup(String label,
                                           String inGroup,
                                           int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotList` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithLabel

    public SWTBotTable tableWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotTable` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithLabel

    public SWTBotTable tableWithLabel(String label,
                                      int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTable` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithId

    public SWTBotTable tableWithId(String key,
                                   String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotTable` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithId

    public SWTBotTable tableWithId(String key,
                                   String value,
                                   int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTable` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithId

    public SWTBotTable tableWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotTable` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithId

    public SWTBotTable tableWithId(String value,
                                   int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTable` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableInGroup

    public SWTBotTable tableInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotTable` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableInGroup

    public SWTBotTable tableInGroup(String inGroup,
                                    int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTable` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### table

    public SWTBotTable table()

  Returns:
    a `SWTBotTable` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### table

    public SWTBotTable table(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotTable` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithLabelInGroup

    public SWTBotTable tableWithLabelInGroup(String label,
                                             String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotTable` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tableWithLabelInGroup

    public SWTBotTable tableWithLabelInGroup(String label,
                                             String inGroup,
                                             int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTable` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItem

    public SWTBotTabItem tabItem(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotTabItem` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItem

    public SWTBotTabItem tabItem(String mnemonicText,
                                 int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTabItem` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemWithId

    public SWTBotTabItem tabItemWithId(String key,
                                       String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotTabItem` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemWithId

    public SWTBotTabItem tabItemWithId(String key,
                                       String value,
                                       int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTabItem` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemWithId

    public SWTBotTabItem tabItemWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotTabItem` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemWithId

    public SWTBotTabItem tabItemWithId(String value,
                                       int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTabItem` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemInGroup

    public SWTBotTabItem tabItemInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotTabItem` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemInGroup

    public SWTBotTabItem tabItemInGroup(String inGroup,
                                        int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTabItem` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItem

    public SWTBotTabItem tabItem()

  Returns:
    a `SWTBotTabItem` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItem

    public SWTBotTabItem tabItem(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotTabItem` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemInGroup

    public SWTBotTabItem tabItemInGroup(String mnemonicText,
                                        String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotTabItem` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### tabItemInGroup

    public SWTBotTabItem tabItemInGroup(String mnemonicText,
                                        String inGroup,
                                        int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotTabItem` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItem

    public SWTBotCTabItem cTabItem(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItem

    public SWTBotCTabItem cTabItem(String mnemonicText,
                                   int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemWithId

    public SWTBotCTabItem cTabItemWithId(String key,
                                         String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotCTabItem` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemWithId

    public SWTBotCTabItem cTabItemWithId(String key,
                                         String value,
                                         int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemWithId

    public SWTBotCTabItem cTabItemWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotCTabItem` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemWithId

    public SWTBotCTabItem cTabItemWithId(String value,
                                         int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemInGroup

    public SWTBotCTabItem cTabItemInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemInGroup

    public SWTBotCTabItem cTabItemInGroup(String inGroup,
                                          int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItem

    public SWTBotCTabItem cTabItem()

  Returns:
    a `SWTBotCTabItem` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItem

    public SWTBotCTabItem cTabItem(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemInGroup

    public SWTBotCTabItem cTabItemInGroup(String mnemonicText,
                                          String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### cTabItemInGroup

    public SWTBotCTabItem cTabItemInGroup(String mnemonicText,
                                          String inGroup,
                                          int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotCTabItem` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithLabel

    public SWTBotStyledText styledTextWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotStyledText` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithLabel

    public SWTBotStyledText styledTextWithLabel(String label,
                                                int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledText

    public SWTBotStyledText styledText(String text)

  Parameters:
    `text` - the text on the widget.
  Returns:
    a `SWTBotStyledText` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledText

    public SWTBotStyledText styledText(String text,
                                       int index)

  Parameters:
    `text` - the text on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithId

    public SWTBotStyledText styledTextWithId(String key,
                                             String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotStyledText` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithId

    public SWTBotStyledText styledTextWithId(String key,
                                             String value,
                                             int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithId

    public SWTBotStyledText styledTextWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotStyledText` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithId

    public SWTBotStyledText styledTextWithId(String value,
                                             int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextInGroup

    public SWTBotStyledText styledTextInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotStyledText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextInGroup

    public SWTBotStyledText styledTextInGroup(String inGroup,
                                              int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledText

    public SWTBotStyledText styledText()

  Returns:
    a `SWTBotStyledText` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledText

    public SWTBotStyledText styledText(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithLabelInGroup

    public SWTBotStyledText styledTextWithLabelInGroup(String label,
                                                       String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotStyledText` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextWithLabelInGroup

    public SWTBotStyledText styledTextWithLabelInGroup(String label,
                                                       String inGroup,
                                                       int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextInGroup

    public SWTBotStyledText styledTextInGroup(String text,
                                              String inGroup)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotStyledText` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### styledTextInGroup

    public SWTBotStyledText styledTextInGroup(String text,
                                              String inGroup,
                                              int index)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotStyledText` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithLabel

    public SWTBotDateTime dateTimeWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotDateTime` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithLabel

    public SWTBotDateTime dateTimeWithLabel(String label,
                                            int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotDateTime` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithId

    public SWTBotDateTime dateTimeWithId(String key,
                                         String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotDateTime` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithId

    public SWTBotDateTime dateTimeWithId(String key,
                                         String value,
                                         int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotDateTime` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithId

    public SWTBotDateTime dateTimeWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotDateTime` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithId

    public SWTBotDateTime dateTimeWithId(String value,
                                         int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotDateTime` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeInGroup

    public SWTBotDateTime dateTimeInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotDateTime` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeInGroup

    public SWTBotDateTime dateTimeInGroup(String inGroup,
                                          int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotDateTime` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTime

    public SWTBotDateTime dateTime()

  Returns:
    a `SWTBotDateTime` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTime

    public SWTBotDateTime dateTime(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotDateTime` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithLabelInGroup

    public SWTBotDateTime dateTimeWithLabelInGroup(String label,
                                                   String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotDateTime` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### dateTimeWithLabelInGroup

    public SWTBotDateTime dateTimeWithLabelInGroup(String label,
                                                   String inGroup,
                                                   int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotDateTime` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButton

    public SWTBotToolbarButton toolbarButton(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButton

    public SWTBotToolbarButton toolbarButton(String mnemonicText,
                                             int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithTooltip

    public SWTBotToolbarButton toolbarButtonWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithTooltip

    public SWTBotToolbarButton toolbarButtonWithTooltip(String tooltip,
                                                        int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithId

    public SWTBotToolbarButton toolbarButtonWithId(String key,
                                                   String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotToolbarButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithId

    public SWTBotToolbarButton toolbarButtonWithId(String key,
                                                   String value,
                                                   int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithId

    public SWTBotToolbarButton toolbarButtonWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotToolbarButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithId

    public SWTBotToolbarButton toolbarButtonWithId(String value,
                                                   int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonInGroup

    public SWTBotToolbarButton toolbarButtonInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonInGroup

    public SWTBotToolbarButton toolbarButtonInGroup(String inGroup,
                                                    int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButton

    public SWTBotToolbarButton toolbarButton()

  Returns:
    a `SWTBotToolbarButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButton

    public SWTBotToolbarButton toolbarButton(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonInGroup

    public SWTBotToolbarButton toolbarButtonInGroup(String mnemonicText,
                                                    String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonInGroup

    public SWTBotToolbarButton toolbarButtonInGroup(String mnemonicText,
                                                    String inGroup,
                                                    int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithTooltipInGroup

    public SWTBotToolbarButton toolbarButtonWithTooltipInGroup(String tooltip,
                                                               String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarButtonWithTooltipInGroup

    public SWTBotToolbarButton toolbarButtonWithTooltipInGroup(String tooltip,
                                                               String inGroup,
                                                               int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButton

    public SWTBotToolbarToggleButton toolbarToggleButton(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButton

    public SWTBotToolbarToggleButton toolbarToggleButton(String mnemonicText,
                                                         int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithTooltip

    public SWTBotToolbarToggleButton toolbarToggleButtonWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithTooltip

    public SWTBotToolbarToggleButton toolbarToggleButtonWithTooltip(String tooltip,
                                                                    int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithId

    public SWTBotToolbarToggleButton toolbarToggleButtonWithId(String key,
                                                               String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithId

    public SWTBotToolbarToggleButton toolbarToggleButtonWithId(String key,
                                                               String value,
                                                               int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithId

    public SWTBotToolbarToggleButton toolbarToggleButtonWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithId

    public SWTBotToolbarToggleButton toolbarToggleButtonWithId(String value,
                                                               int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonInGroup

    public SWTBotToolbarToggleButton toolbarToggleButtonInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonInGroup

    public SWTBotToolbarToggleButton toolbarToggleButtonInGroup(String inGroup,
                                                                int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButton

    public SWTBotToolbarToggleButton toolbarToggleButton()

  Returns:
    a `SWTBotToolbarToggleButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButton

    public SWTBotToolbarToggleButton toolbarToggleButton(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonInGroup

    public SWTBotToolbarToggleButton toolbarToggleButtonInGroup(String mnemonicText,
                                                                String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonInGroup

    public SWTBotToolbarToggleButton toolbarToggleButtonInGroup(String mnemonicText,
                                                                String inGroup,
                                                                int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithTooltipInGroup

    public SWTBotToolbarToggleButton toolbarToggleButtonWithTooltipInGroup(String tooltip,
                                                                           String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarToggleButtonWithTooltipInGroup

    public SWTBotToolbarToggleButton toolbarToggleButtonWithTooltipInGroup(String tooltip,
                                                                           String inGroup,
                                                                           int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarToggleButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButton

    public SWTBotToolbarDropDownButton toolbarDropDownButton(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButton

    public SWTBotToolbarDropDownButton toolbarDropDownButton(String mnemonicText,
                                                             int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithTooltip

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithTooltip

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithTooltip(String tooltip,
                                                                        int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithId

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithId(String key,
                                                                   String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithId

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithId(String key,
                                                                   String value,
                                                                   int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithId

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithId

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithId(String value,
                                                                   int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonInGroup

    public SWTBotToolbarDropDownButton toolbarDropDownButtonInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonInGroup

    public SWTBotToolbarDropDownButton toolbarDropDownButtonInGroup(String inGroup,
                                                                    int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButton

    public SWTBotToolbarDropDownButton toolbarDropDownButton()

  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButton

    public SWTBotToolbarDropDownButton toolbarDropDownButton(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonInGroup

    public SWTBotToolbarDropDownButton toolbarDropDownButtonInGroup(String mnemonicText,
                                                                    String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonInGroup

    public SWTBotToolbarDropDownButton toolbarDropDownButtonInGroup(String mnemonicText,
                                                                    String inGroup,
                                                                    int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithTooltipInGroup

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithTooltipInGroup(String tooltip,
                                                                               String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarDropDownButtonWithTooltipInGroup

    public SWTBotToolbarDropDownButton toolbarDropDownButtonWithTooltipInGroup(String tooltip,
                                                                               String inGroup,
                                                                               int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarDropDownButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButton

    public SWTBotToolbarRadioButton toolbarRadioButton(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButton

    public SWTBotToolbarRadioButton toolbarRadioButton(String mnemonicText,
                                                       int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithTooltip

    public SWTBotToolbarRadioButton toolbarRadioButtonWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithTooltip

    public SWTBotToolbarRadioButton toolbarRadioButtonWithTooltip(String tooltip,
                                                                  int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithId

    public SWTBotToolbarRadioButton toolbarRadioButtonWithId(String key,
                                                             String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithId

    public SWTBotToolbarRadioButton toolbarRadioButtonWithId(String key,
                                                             String value,
                                                             int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithId

    public SWTBotToolbarRadioButton toolbarRadioButtonWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithId

    public SWTBotToolbarRadioButton toolbarRadioButtonWithId(String value,
                                                             int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonInGroup

    public SWTBotToolbarRadioButton toolbarRadioButtonInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonInGroup

    public SWTBotToolbarRadioButton toolbarRadioButtonInGroup(String inGroup,
                                                              int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButton

    public SWTBotToolbarRadioButton toolbarRadioButton()

  Returns:
    a `SWTBotToolbarRadioButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButton

    public SWTBotToolbarRadioButton toolbarRadioButton(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonInGroup

    public SWTBotToolbarRadioButton toolbarRadioButtonInGroup(String mnemonicText,
                                                              String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonInGroup

    public SWTBotToolbarRadioButton toolbarRadioButtonInGroup(String mnemonicText,
                                                              String inGroup,
                                                              int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithTooltipInGroup

    public SWTBotToolbarRadioButton toolbarRadioButtonWithTooltipInGroup(String tooltip,
                                                                         String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### toolbarRadioButtonWithTooltipInGroup

    public SWTBotToolbarRadioButton toolbarRadioButtonWithTooltipInGroup(String tooltip,
                                                                         String inGroup,
                                                                         int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotToolbarRadioButton` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### link

    public SWTBotLink link(String mnemonicText)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
  Returns:
    a `SWTBotLink` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### link

    public SWTBotLink link(String mnemonicText,
                           int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLink` with the specified `mnemonicText`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkWithId

    public SWTBotLink linkWithId(String key,
                                 String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotLink` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkWithId

    public SWTBotLink linkWithId(String key,
                                 String value,
                                 int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLink` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkWithId

    public SWTBotLink linkWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotLink` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkWithId

    public SWTBotLink linkWithId(String value,
                                 int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLink` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkInGroup

    public SWTBotLink linkInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotLink` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkInGroup

    public SWTBotLink linkInGroup(String inGroup,
                                  int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLink` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### link

    public SWTBotLink link()

  Returns:
    a `SWTBotLink` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### link

    public SWTBotLink link(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotLink` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkInGroup

    public SWTBotLink linkInGroup(String mnemonicText,
                                  String inGroup)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotLink` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### linkInGroup

    public SWTBotLink linkInGroup(String mnemonicText,
                                  String inGroup,
                                  int index)

  Parameters:
    `mnemonicText` - the mnemonicText on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotLink` with the specified `mnemonicText` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithLabel

    public SWTBotSpinner spinnerWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotSpinner` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithLabel

    public SWTBotSpinner spinnerWithLabel(String label,
                                          int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinner

    public SWTBotSpinner spinner(String text)

  Parameters:
    `text` - the text on the widget.
  Returns:
    a `SWTBotSpinner` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinner

    public SWTBotSpinner spinner(String text,
                                 int index)

  Parameters:
    `text` - the text on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithTooltip

    public SWTBotSpinner spinnerWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotSpinner` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithTooltip

    public SWTBotSpinner spinnerWithTooltip(String tooltip,
                                            int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithId

    public SWTBotSpinner spinnerWithId(String key,
                                       String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotSpinner` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithId

    public SWTBotSpinner spinnerWithId(String key,
                                       String value,
                                       int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithId

    public SWTBotSpinner spinnerWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotSpinner` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithId

    public SWTBotSpinner spinnerWithId(String value,
                                       int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerInGroup

    public SWTBotSpinner spinnerInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSpinner` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerInGroup

    public SWTBotSpinner spinnerInGroup(String inGroup,
                                        int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinner

    public SWTBotSpinner spinner()

  Returns:
    a `SWTBotSpinner` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinner

    public SWTBotSpinner spinner(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithLabelInGroup

    public SWTBotSpinner spinnerWithLabelInGroup(String label,
                                                 String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSpinner` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithLabelInGroup

    public SWTBotSpinner spinnerWithLabelInGroup(String label,
                                                 String inGroup,
                                                 int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerInGroup

    public SWTBotSpinner spinnerInGroup(String text,
                                        String inGroup)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSpinner` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerInGroup

    public SWTBotSpinner spinnerInGroup(String text,
                                        String inGroup,
                                        int index)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithTooltipInGroup

    public SWTBotSpinner spinnerWithTooltipInGroup(String tooltip,
                                                   String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSpinner` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### spinnerWithTooltipInGroup

    public SWTBotSpinner spinnerWithTooltipInGroup(String tooltip,
                                                   String inGroup,
                                                   int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSpinner` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithLabel

    public SWTBotSlider sliderWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotSlider` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithLabel

    public SWTBotSlider sliderWithLabel(String label,
                                        int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### slider

    public SWTBotSlider slider(String text)

  Parameters:
    `text` - the text on the widget.
  Returns:
    a `SWTBotSlider` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### slider

    public SWTBotSlider slider(String text,
                               int index)

  Parameters:
    `text` - the text on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithTooltip

    public SWTBotSlider sliderWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotSlider` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithTooltip

    public SWTBotSlider sliderWithTooltip(String tooltip,
                                          int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithId

    public SWTBotSlider sliderWithId(String key,
                                     String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotSlider` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithId

    public SWTBotSlider sliderWithId(String key,
                                     String value,
                                     int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithId

    public SWTBotSlider sliderWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotSlider` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithId

    public SWTBotSlider sliderWithId(String value,
                                     int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderInGroup

    public SWTBotSlider sliderInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSlider` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderInGroup

    public SWTBotSlider sliderInGroup(String inGroup,
                                      int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### slider

    public SWTBotSlider slider()

  Returns:
    a `SWTBotSlider` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### slider

    public SWTBotSlider slider(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithLabelInGroup

    public SWTBotSlider sliderWithLabelInGroup(String label,
                                               String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSlider` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithLabelInGroup

    public SWTBotSlider sliderWithLabelInGroup(String label,
                                               String inGroup,
                                               int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderInGroup

    public SWTBotSlider sliderInGroup(String text,
                                      String inGroup)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSlider` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderInGroup

    public SWTBotSlider sliderInGroup(String text,
                                      String inGroup,
                                      int index)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithTooltipInGroup

    public SWTBotSlider sliderWithTooltipInGroup(String tooltip,
                                                 String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotSlider` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### sliderWithTooltipInGroup

    public SWTBotSlider sliderWithTooltipInGroup(String tooltip,
                                                 String inGroup,
                                                 int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotSlider` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithLabel

    public SWTBotBrowser browserWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotBrowser` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithLabel

    public SWTBotBrowser browserWithLabel(String label,
                                          int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotBrowser` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithId

    public SWTBotBrowser browserWithId(String key,
                                       String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotBrowser` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithId

    public SWTBotBrowser browserWithId(String key,
                                       String value,
                                       int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotBrowser` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithId

    public SWTBotBrowser browserWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotBrowser` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithId

    public SWTBotBrowser browserWithId(String value,
                                       int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotBrowser` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserInGroup

    public SWTBotBrowser browserInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotBrowser` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserInGroup

    public SWTBotBrowser browserInGroup(String inGroup,
                                        int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotBrowser` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browser

    public SWTBotBrowser browser()

  Returns:
    a `SWTBotBrowser` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browser

    public SWTBotBrowser browser(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotBrowser` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithLabelInGroup

    public SWTBotBrowser browserWithLabelInGroup(String label,
                                                 String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotBrowser` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### browserWithLabelInGroup

    public SWTBotBrowser browserWithLabelInGroup(String label,
                                                 String inGroup,
                                                 int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotBrowser` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithLabel

    public SWTBotScale scaleWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotScale` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithLabel

    public SWTBotScale scaleWithLabel(String label,
                                      int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scale

    public SWTBotScale scale(String text)

  Parameters:
    `text` - the text on the widget.
  Returns:
    a `SWTBotScale` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scale

    public SWTBotScale scale(String text,
                             int index)

  Parameters:
    `text` - the text on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `text`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithTooltip

    public SWTBotScale scaleWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the widget.
  Returns:
    a `SWTBotScale` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithTooltip

    public SWTBotScale scaleWithTooltip(String tooltip,
                                        int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `tooltip`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithId

    public SWTBotScale scaleWithId(String key,
                                   String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotScale` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithId

    public SWTBotScale scaleWithId(String key,
                                   String value,
                                   int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithId

    public SWTBotScale scaleWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotScale` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithId

    public SWTBotScale scaleWithId(String value,
                                   int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleInGroup

    public SWTBotScale scaleInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotScale` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleInGroup

    public SWTBotScale scaleInGroup(String inGroup,
                                    int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scale

    public SWTBotScale scale()

  Returns:
    a `SWTBotScale` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scale

    public SWTBotScale scale(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithLabelInGroup

    public SWTBotScale scaleWithLabelInGroup(String label,
                                             String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotScale` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithLabelInGroup

    public SWTBotScale scaleWithLabelInGroup(String label,
                                             String inGroup,
                                             int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleInGroup

    public SWTBotScale scaleInGroup(String text,
                                    String inGroup)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotScale` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleInGroup

    public SWTBotScale scaleInGroup(String text,
                                    String inGroup,
                                    int index)

  Parameters:
    `text` - the text on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `text` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithTooltipInGroup

    public SWTBotScale scaleWithTooltipInGroup(String tooltip,
                                               String inGroup)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotScale` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### scaleWithTooltipInGroup

    public SWTBotScale scaleWithTooltipInGroup(String tooltip,
                                               String inGroup,
                                               int index)

  Parameters:
    `tooltip` - the tooltip on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotScale` with the specified `tooltip` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithLabel

    public SWTBotExpandBar expandBarWithLabel(String label)

  Parameters:
    `label` - the label on the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithLabel

    public SWTBotExpandBar expandBarWithLabel(String label,
                                              int index)

  Parameters:
    `label` - the label on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `label`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithId

    public SWTBotExpandBar expandBarWithId(String key,
                                           String value)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
  Returns:
    a `SWTBotExpandBar` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithId

    public SWTBotExpandBar expandBarWithId(String key,
                                           String value,
                                           int index)

  Parameters:
    `key` - the key set on the widget.
    `value` - the value for the key.
    `index` - the index of the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `key/value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithId

    public SWTBotExpandBar expandBarWithId(String value)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
  Returns:
    a `SWTBotExpandBar` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithId

    public SWTBotExpandBar expandBarWithId(String value,
                                           int index)

  Parameters:
    `value` - the value for the key `SWTBotPreferences.DEFAULT_KEY`.
    `index` - the index of the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `value`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarInGroup

    public SWTBotExpandBar expandBarInGroup(String inGroup)

  Parameters:
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarInGroup

    public SWTBotExpandBar expandBarInGroup(String inGroup,
                                            int index)

  Parameters:
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBar

    public SWTBotExpandBar expandBar()

  Returns:
    a `SWTBotExpandBar` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBar

    public SWTBotExpandBar expandBar(int index)

  Parameters:
    `index` - the index of the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `none`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithLabelInGroup

    public SWTBotExpandBar expandBarWithLabelInGroup(String label,
                                                     String inGroup)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### expandBarWithLabelInGroup

    public SWTBotExpandBar expandBarWithLabelInGroup(String label,
                                                     String inGroup,
                                                     int index)

  Parameters:
    `label` - the label on the widget.
    `inGroup` - the inGroup on the widget.
    `index` - the index of the widget.
  Returns:
    a `SWTBotExpandBar` with the specified `label` with the specified `inGroup`.
  Throws:
    `WidgetNotFoundException` - if the widget is not found or is disposed.

### shell

    public SWTBotShell shell(String text)

  Parameters:
    `text` - the text on the shell.
  Returns:
    a wrapper around a @{link Shell} with the specified text.

### shell

    public SWTBotShell shell(String text,
                             int index)

  Parameters:
    `text` - the text on the shell.
    `index` - the index of the shell, in case there are multiple shells with the same text.
  Returns:
    a wrapper around a `Shell` with the specified index.

### shells

    public List<Shell> shells(String text)

  Parameters:
    `text` - the text on the shell.
  Returns:
    a wrapper around a `Shell` with the specified index.

### shell

    public SWTBotShell shell(String text,
                             Shell parent)

  Parameters:
    `text` - the text on the shell.
    `parent` - the parent under which a shell will be found.
  Returns:
    a wrapper around a @{link Shell} with the specified text.

### shell

    public SWTBotShell shell(String text,
                             Shell parent,
                             int index)

  Parameters:
    `text` - the text on the shell.
    `parent` - the parent under which a shell will be found.
    `index` - the index of the shell, in case there are multiple shells with the same text.
  Returns:
    a wrapper around a `Shell` with the specified index.

### shells

    public List<Shell> shells(String text,
                              Shell parent)

  Parameters:
    `text` - the text on the shell.
    `parent` - the parent under which a shell will be found.
  Returns:
    a List of `Shell` which matched.

### shellWithId

    public SWTBotShell shellWithId(String value)

  Parameters:
    `value` - the value of the id
  Returns:
    a wrapper around a @{link Shell} with the specified value pair for its id.
  Since:
    2.0

### shellWithId

    public SWTBotShell shellWithId(String key,
                                   String value)

  Parameters:
    `key` - the key of the id
    `value` - the value of the id
  Returns:
    a wrapper around a @{link Shell} with the specified key/value pair for its id.

### shellWithId

    public SWTBotShell shellWithId(String value,
                                   int index)

  Parameters:
    `value` - the value of the id
    `index` - the index of the shell, in case there are multiple shells with the same text.
  Returns:
    a wrapper around a @{link Shell} with the specified value for its id.
  Since:
    2.0

### shellWithId

    public SWTBotShell shellWithId(String key,
                                   String value,
                                   int index)

  Parameters:
    `key` - the key of the id
    `value` - the value of the id
    `index` - the index of the shell, in case there are multiple shells with the same text.
  Returns:
    a wrapper around a @{link Shell} with the specified key/value pair for its id.

### menu

    public SWTBotMenu menu(String text)

  Parameters:
    `text` - the text on the menu.
  Returns:
    a menu item that matches the specified text.

### menu

    public SWTBotMenu menu(String text,
                           int index)

  Parameters:
    `text` - the text on the menu.
    `index` - the index of the menu, in case there are multiple menus with the same text.
  Returns:
    a menu item that matches the specified text.

### menuWithId

    public SWTBotMenu menuWithId(String value)

  Parameters:
    `value` - the value of the id.
  Returns:
    a wrapper around a @{link Menu} with the specified key/value pair for its id.

### menuWithId

    public SWTBotMenu menuWithId(String value,
                                 int index)

  Parameters:
    `value` - the value of the id.
    `index` - the index of the menu item, in case there are multiple shells with the same text.
  Returns:
    a wrapper around a @{link Menu} with the specified key/value pair for its id.

### menuWithId

    public SWTBotMenu menuWithId(String key,
                                 String value)

  Parameters:
    `key` - the key of the id.
    `value` - the value of the id.
  Returns:
    a wrapper around a @{link Menu} with the specified key/value pair for its id.

### menuWithId

    public SWTBotMenu menuWithId(String key,
                                 String value,
                                 int index)

  Parameters:
    `key` - the key of the id.
    `value` - the value of the id.
    `index` - the index of the menu item, in case there are multiple shells with the same text.
  Returns:
    a wrapper around a @{link Menu} with the specified key/value pair for its id.

### menu

    public SWTBotMenu menu(SWTBotShell shell,
                           Matcher<MenuItem> matcher,
                           int index)

  Parameters:
    `shell` - the shell to search for the menu.
    `matcher` - the matcher used to find the menu.
    `index` - the index of the menu, in case there are multiple menus with the same text.
  Returns:
    a menu item that matches the specified text.

### widgets

    public <T extends Widget> List<? extends T> widgets(Matcher<T> matcher,
                                                        Widget parentWidget)

  Parameters:
    `matcher` - the matcher used to match widgets.
    `parentWidget` - the parent widget to search for a given widget.
  Returns:
    a list of widgets that match the matcher.

### widgets

    public <T extends Widget> List<? extends T> widgets(Matcher<T> matcher)

  Parameters:
    `matcher` - the matcher used to match widgets.
  Returns:
    a list of widgets in the active shell that match the matcher.

### widget

    public <T extends Widget> T widget(Matcher<T> matcher,
                                       Widget parentWidget)

  Parameters:
    `matcher` - the matcher used to match widgets.
    `parentWidget` - the parent widget to search for a given widget.
  Returns:
    the first widget that matchs the matcher.

### widget

    public <T extends Widget> T widget(Matcher<T> matcher,
                                       Widget parentWidget,
                                       int index)

  Parameters:
    `matcher` - the matcher used to match widgets.
    `parentWidget` - the parent widget to search for a given widget.
    `index` - the index of the widget, incase the matcher finds multiple widgets
  Returns:
    the first widget that matchs the matcher.

### widget

    public <T extends Widget> T widget(Matcher<T> matcher,
                                       int index)

  Parameters:
    `matcher` - the matcher used to match widgets.
    `index` - the index of the widget in case there are multiple widgets.
  Returns:
    the index'th widget matching the matcher.

### widget

    public <T extends Widget> T widget(Matcher<T> matcher)

  Parameters:
    `matcher` - the matcher used to match widgets.
  Returns:
    the index'th widget matching the matcher.

### shells

    public SWTBotShell[] shells()

  Gets the list of shells found in the display.

  Returns:
    all the shells in the display.

### activeShell

    public SWTBotShell activeShell()
                            throws WidgetNotFoundException

  Gets the current active shell.

  Returns:
    the current active shell
  Throws:
    `WidgetNotFoundException` - if the widget is not found.

### waitUntilWidgetAppears

    public void waitUntilWidgetAppears(ICondition waitForWidget)

### waitUntil

    public void waitUntil(ICondition condition)
                   throws TimeoutException

  Waits until a specified condition evaluates to true.

  Parameters:
    `condition` - the `ICondition` to be evaluated.
  Throws:
    `TimeoutException` - if the condition does not evaluate to true after `SWTBotPreferences.TIMEOUT` milliseconds.
  Since:
    1.2

### waitUntil

    public void waitUntil(ICondition condition,
                          long timeout)
                   throws TimeoutException

  Waits until the timeout is reached or the condition is met.

  Parameters:
    `condition` - the condition to be evaluated.
    `timeout` - the timeout.
  Throws:
    `TimeoutException` - if the condition does not evaluate to true after timeout milliseconds.
  Since:
    1.2

### waitUntil

    public void waitUntil(ICondition condition,
                          long timeout,
                          long interval)
                   throws TimeoutException

  Waits until the condition has been meet, or the timeout is reached. The interval is the delay between evaluating the condition after it has failed.

  Parameters:
    `condition` - the condition to be evaluated.
    `timeout` - the timeout.
    `interval` - The delay time.
  Throws:
    `TimeoutException` - if the condition does not evaluate to true after timeout milliseconds.

### waitWhile

    public void waitWhile(ICondition condition)
                   throws TimeoutException

  Waits while the condition is true.

  Parameters:
    `condition` - the `ICondition` to be evaluated.
  Throws:
    `TimeoutException` - if the condition does not evaluate to false after `SWTBotPreferences.TIMEOUT` milliseconds.
  Since:
    2.0

### waitWhile

    public void waitWhile(ICondition condition,
                          long timeout)
                   throws TimeoutException

  Waits while the condition is true, until the timeout is reached.

  Parameters:
    `condition` - the condition to be evaluated.
    `timeout` - the timeout.
  Throws:
    `TimeoutException` - if the condition does not evaluate to false after timeout milliseconds.
  Since:
    2.0

### waitWhile

    public void waitWhile(ICondition condition,
                          long timeout,
                          long interval)
                   throws TimeoutException

  Waits while the condition is true, until the timeout is reached. The interval is the delay between evaluating the condition after it has succeed.

  Parameters:
    `condition` - the condition to be evaluated.
    `timeout` - the timeout.
    `interval` - The delay time.
  Throws:
    `TimeoutException` - if the condition does not evaluate to false after timeout milliseconds.
  Since:
    2.0

### sleep

    public void sleep(long millis)

  Sleeps for the given number of milliseconds.

  Parameters:
    `millis` - the time in milliseconds for which to sleep.

### getDisplay

    public Display getDisplay()

  Gets the display

  Returns:
    the display
  Since:
    1.0

### captureScreenshot

    public boolean captureScreenshot(String fileName)

  Captures a screenshot to the given file name.

  Parameters:
    `fileName` - the filename to save screenshot to.
  Returns:
    `true` if the screenshot was created and saved, `false` otherwise.
  Since:
    1.1
  See Also:
    `SWTUtils.captureScreenshot(String)`

### getFinder

    public Finder getFinder()

  Returns:
    the finder

### getFocusedWidget

    public Control getFocusedWidget()

  Returns the control which currently has keyboard focus, or `null` if keyboard events are not currently going to any of the controls built by the currently running application.

  Returns:
    the control which currently has focus, or `null`
  See Also:
    `Display.getFocusControl()`

### trayItem

    public SWTBotTrayItem trayItem()

  Returns:
    the first `SWTBotTrayItem`

### trayItem

    public SWTBotTrayItem trayItem(int index)

  Parameters:
    `index` - he index of the tray item.
  Returns:
    a `SWTBotTrayItem` at specified `index`

### trayItemWithTooltip

    public SWTBotTrayItem trayItemWithTooltip(String tooltip)

  Parameters:
    `tooltip` - the tooltip on the tray item.
  Returns:
    the first `SWTBotTrayItem` with the specified `tooltip`.

### trayItemWithTooltip

    public SWTBotTrayItem trayItemWithTooltip(String tooltip,
                                              int index)

  Parameters:
    `tooltip` - the tooltip on the tray item.
    `index` - the index of the tray item.
  Returns:
    a `SWTBotTrayItem` with the specified `tooltip`.

### trayItems

    public List<SWTBotTrayItem> trayItems()

  Returns:
    List of all tray items in the system tray.

### trayItems

    public List<SWTBotTrayItem> trayItems(Matcher<?> matcher)

  Parameters:
    `matcher` - the matcher used to match tray item
  Returns:
    List of `SWTBotTrayItem` matching the matcher.

### systemTray

    protected Tray systemTray()

  Returns:
    The single instance of the system tray

### performWithTimeout

    public <T> T performWithTimeout(Result<T> runnable,
                                    long timeout)

  Performs an operation with a timeout and return a result.

  This is a convenience api for performing a particular operation with a different timeout:

       long timeout = ...;
       long old = SWTBotPreferences.TIMEOUT;
       SWTBotPreferences.TIMEOUT = timeout;
       try {
              // do something that takes very long
              return aNumber;
       } finally {
              SWTBotPreferences.TIMEOUT = old;
       }

  The above can now be written as:

       performWithTimeout(new Result() {
              public Integer run() {
                      // do something that takes very long
              }
       }, timeout);

  Parameters:
    `runnable` - the runnable to execute.
    `timeout` - the timeout for performing the operation.
  Returns:
    the result of executing the runnable.

### performWithTimeout

    public void performWithTimeout(VoidResult runnable,
                                   long timeout)

  Parameters:
    `runnable` - the runnable to execute.
    `timeout` - the timeout for performing the operation.
  See Also:
    `for more information.`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD